package tv.smartclip.smartclientandroid.app.reference

import android.os.Bundle
import kotlinx.android.synthetic.main.activity_out_stream.*

/**
 * Displays text with an advertisement's video that runs on top of it.
 */
class OutStreamActivity : BaseActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_out_stream)
        setTitle(R.string.title_outstream)
    }

    override fun onResume() {
        super.onResume()
        advertisement.onResume()
    }

    override fun onPause() {
        advertisement.onPause()
        super.onPause()
    }

    override fun onDestroy() {
        advertisement.release()
        super.onDestroy()
    }
}
